Index: /trunk/dports/devel/haskell-platform/Portfile
===================================================================
--- /trunk/dports/devel/haskell-platform/Portfile	(revision 98943)
+++ /trunk/dports/devel/haskell-platform/Portfile	(revision 98944)
@@ -1,61 +1,70 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem      1.0
 
-name		haskell-platform
-version		2009.2.0.2
-revision	1
-categories	devel haskell
-maintainers	gwright
-description	Meta port for the haskell platform
-long_description	\
-	This is the the Haskell Platform: a single, standard Haskell	\
-	distribution for every system.					\
-									\
-	The Haskell Platform is a blessed library and tool suite for	\
-	Haskell distilled from Hackage.
+name            haskell-platform
+version         2012.2.0.0
+categories      devel haskell
+maintainers     cal openmaintainer
+description     \
+    The Haskell Platform is the easiest way to get started with programming \
+    Haskell. It comes with all you need to get up and running. Think of it as \
+    \"Haskell: batteries included\".
+long_description \
+    The Haskell Platform is a comprehensive, robust development environment for \
+    programming in Haskell. For new users the platform makes it trivial to get \
+    up and running with a full Haskell development environment. For experienced \
+    developers, the platform provides a comprehensive, standard base for \
+    commercial and open source Haskell development that maximises \
+    interoperability and stability of your code.
 
-platforms	darwin
-homepage	http://hackage.haskell.org/platform/
-master_sites	${homepage}
+platforms       darwin
+homepage        http://hackage.haskell.org/platform/
+master_sites    ${homepage}
+license         Permissive
 
-depends_run \
-    port:hs-platform-ghc		\
-    port:hs-platform-cgi		\
-    port:hs-platform-fgl		\
-    port:hs-platform-editline		\
-    port:hs-platform-GLUT		\
-    port:hs-platform-haskell-src	\
-    port:hs-platform-html		\
-    port:hs-platform-HUnit		\
-    port:hs-platform-mtl		\
-    port:hs-platform-network		\
-    port:hs-platform-OpenGL		\
-    port:hs-platform-parallel		\
-    port:hs-platform-parsec		\
-    port:hs-platform-QuickCheck		\
-    port:hs-platform-regex-base		\
-    port:hs-platform-regex-compat	\
-    port:hs-platform-regex-posix	\
-    port:hs-platform-stm		\
-    port:hs-platform-time		\
-    port:hs-platform-xhtml		\
-    port:hs-platform-zlib		\
-    port:hs-platform-HTTP		\
-    port:hs-platform-alex		\
-    port:hs-platform-happy		\
-    port:hs-platform-cabal
+depends_run     port:hs-platform-alex \
+                port:hs-platform-cabal \
+                port:hs-platform-cgi \
+                port:hs-platform-fgl \
+                port:hs-platform-ghc \
+                port:hs-platform-glut \
+                port:hs-platform-happy \
+                port:hs-platform-haskell-src \
+                port:hs-platform-html \
+                port:hs-platform-http \
+                port:hs-platform-hunit \
+                port:hs-platform-mtl \
+                port:hs-platform-network \
+                port:hs-platform-opengl \
+                port:hs-platform-parallel \
+                port:hs-platform-parsec \
+                port:hs-platform-quickcheck \
+                port:hs-platform-random \
+                port:hs-platform-regex-base \
+                port:hs-platform-regex-compat \
+                port:hs-platform-regex-posix \
+                port:hs-platform-stm \
+                port:hs-platform-syb \
+                port:hs-platform-text \
+                port:hs-platform-transformers \
+                port:hs-platform-xhtml \
+                port:hs-platform-zlib
 
-fetch           { }
-checksum        { }
-build           { }
-destroot        {
+fetch {}
+checksum {}
+extract {}
+configure {}
+build {}
+destroot {
     xinstall -d ${destroot}${prefix}/share/doc/${name}
     system "echo ${long_description} > ${destroot}${prefix}/share/doc/${name}/README.txt"
 }
 
-use_configure no
-universal_variant no
+use_configure       no
+universal_variant   no
 
-livecheck.type  none
-
+livecheck.type      regex
+livecheck.url       ${homepage}
+livecheck.regex     "Current release: <a href=\"changelog.html\">(\\d+\\.\\d\\.\\d\\.\\d)</a>"
Index: /trunk/dports/devel/hs-platform-alex/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-alex/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-alex/Portfile	(revision 98944)
@@ -1,50 +1,21 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-name		hs-platform-alex
-set canonicalname	alex
-version		2.3.1
-categories	devel haskell
-license		BSD
-maintainers	gwright
-platforms	darwin
-description	A Lexical Analyzer Generator for Haskell (platform version)
-long_description	\
-		Alex is a tool for generating lexical analysers		\
-		in Haskell, given a description of the tokens to be	\
-		recognised in the form of regular expressions.		\
-		It is similar to the tools lex or flex for C/C++.
+haskellplatform.setup   alex 3.0.1 no
+checksums               rmd160  fdfd935281800678605573db8025583b40459894 \
+                        sha256  727235cee46396537c2b53b4a0fae0ec25cffb9e982ce899816e92fcfe4cfaf0
 
-homepage	http://www.haskell.org/${canonicalname}/
-master_sites	http://hackage.haskell.org/packages/archive/${canonicalname}/${version}
-distname	${canonicalname}-${version}
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums       md5     a8c26af3370388297cee4b8c767d72d9 \
-                sha1    0dbd9d34849602f9b59d30122b27727d6f79fc4f \
-                rmd160  cee02283325638fc9929ca6ae40c153b626d4b69
+depends_lib-append      port:hs-platform-quickcheck
 
-depends_build	port:ghc
-
-universal_variant	no
-
-patchfiles	patch-alex.cabal.diff
-
-# Since alex is an application I can't use the conveniences of the
-# haskell PortGroup.  Just need to do everything by hand:
-
-configure       {
-                  system "cd ${worksrcpath} && runhaskell Setup configure -v --ghc --with-gcc=${configure.cc} --prefix=${prefix}"
-                }
-
-build           {
-                  system "cd ${worksrcpath} && runhaskell Setup build -v"
-                }
-
-destroot        {
-                  system "cd ${worksrcpath} && runhaskell Setup copy --copy-prefix=${destroot}${prefix}"
-                }
-
-# Haskell Platform components should not be livecheck'ed.
-livecheck.type	none
-
+description             \
+    Alex is a tool for generating lexical analysers in Haskell, given \
+    a description of the tokens to be recognised in the form of regular \
+    expressions. It is similar to the tool lex or flex for C/C++.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-cabal/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-cabal/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-cabal/Portfile	(revision 98944)
@@ -1,48 +1,26 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-name		hs-platform-cabal
-set canonicalname	cabal-install
-version		0.6.2
-categories	devel haskell
-maintainers	gwright
-platforms	darwin
+haskellplatform.setup   cabal-install 0.14.0 no
+name                    hs-platform-cabal
+checksums               rmd160  a0e1e0f0d189abbb984d968f8650280632027769 \
+                        sha256  f4f2b50269ff59d67b5f3d82d50f7706b6bad1117295a7c81f32bbe72add5bd8
 
-description	User interface to the Cabal build system (platform version).
-long_description	\
-		Cabal is a system for building and packaging Haskell	\
-		libraries and programs It defines a common interface	\
-		for package authors and distributors to easily build	\
-		their applications in a portable way. Cabal is part of	\
-		a larger infrastructure for distributing, organizing,	\
-		and cataloging Haskell libraries and programs.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-homepage	http://www.haskell.org/cabal
-master_sites	http://hackage.haskell.org/packages/archive/${canonicalname}/${version}
-distname	${canonicalname}-${version}
+depends_lib-append      port:hs-platform-http \
+                        port:hs-platform-mtl \
+                        port:hs-platform-network \
+                        port:hs-platform-random \
+                        port:hs-platform-zlib
 
-checksums	md5     8cb1c19233a9a114faf0eea7c46cb23e		\
-		sha1    415bdf6ae7029b488b99c2da288af10634024ac7	\
-		rmd160  f7ae2a8155b28ee1b736e9abf00c32fe55e7c80f
-
-# Since cabal is an application, and the Haskell libraries are statically
-# linked, the following are build dependencies and not lib dependencies:
-depends_build	port:ghc			\
-		port:hs-platform-zlib		\
-		port:hs-platform-HTTP
-
-universal_variant	no
-
-configure	{ system "cd ${worksrcpath} && runhaskell Setup configure -v --ghc --prefix=${prefix} --with-gcc=${configure.cc}"
-		}
-
-build		{ system "cd ${worksrcpath} && runhaskell Setup build -v"
-		}
-
-destroot	{ system "cd ${worksrcpath} && runhaskell Setup copy --copy-prefix=${destroot}${prefix}"
-                }
-
-# platform components should not be livecheck'ed.
-livecheck.type	none
-
+description             \
+    The 'cabal' command-line program simplifies the process of managing Haskell \
+    software by automating the fetching, configuration, compilation and \
+    installation of Haskell libraries and programs.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-cgi/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-cgi/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-cgi/Portfile	(revision 98944)
@@ -1,33 +1,21 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	cgi 3001.1.7.1
-name		hs-platform-cgi
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   cgi 3001.1.7.4
+checksums               rmd160  a3df4f40c3e7cad6f1a22b7bd090e39968ffc241 \
+                        sha256  6de5da8be4bb8323a864761bbb604ca8c1cdc9048bf33990f91e7ed948a331ba
 
-description	A library for writing CGI programs (platform version)
-long_description	\
-	This is a Haskell library for writing CGI programs.
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     02b1d2fe6f271a17c1eb8b897fbd1d7f \
-		sha1    1999b968cfff8a67f4b997cdc114682b4d75b5e4 \
-		rmd160  3009dde5eb2936b7016717daf621264382f887bd
+depends_lib-append      port:hs-platform-mtl \
+                        port:hs-platform-parsec \
+                        port:hs-platform-network \
+                        port:hs-platform-xhtml
 
-depends_lib	port:ghc			\
-		port:hs-platform-network	\
-		port:hs-platform-parsec		\
-		port:hs-platform-mtl		\
-		port:hs-platform-xhtml
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description             This is a Haskell library for writing CGI programs.
+long_description        ${description}
Index: /trunk/dports/devel/hs-platform-fgl/Portfile
===================================================================
--- /trunk/dports/devel/hs-platform-fgl/Portfile	(revision 98943)
+++ /trunk/dports/devel/hs-platform-fgl/Portfile	(revision 98944)
@@ -1,30 +1,18 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id$
 
-PortSystem 1.0
-PortGroup	haskell 1.0
+PortSystem              1.0
+PortGroup               haskellplatform 1.0
 
-haskell.setup	fgl 5.4.2.2
-name		hs-platform-fgl
-license		BSD
-maintainers	nomaintainer
-platforms	darwin
+haskellplatform.setup   fgl 5.4.2.4
+checksums               rmd160  e2b9e0d1d43e69b250719a34c6de9344b38264bf \
+                        sha256  ce98ccb83e2d271a7b3266426a0762a0e902252f07ec09b7bef50c67d0110266
 
-description	Martin Erwig's Functional Graph Library
-long_description	\
-	${description}
+license                 BSD
+maintainers             cal openmaintainer
+platforms               darwin
 
-checksums	md5     ad49ce31af04c0fd9c6dbfa52801ff83 \
-		sha1    3d8cf5a75f39282fa18e23aea4eeb6098f81ddee \
-		rmd160  50068af699aa5c5cf0e5bb72bc61b90380f0ba72
+depends_lib-append      port:hs-platform-mtl
 
-depends_lib	port:ghc			\
-		port:hs-platform-mtl
-
-universal_variant	no
-
-configure.args-append	-v --enable-library-profiling		\
-			--with-gcc=${configure.cc}
-
-build.args-append	-v
-
-livecheck.type	none
+description
+long_description
